## octave-symbolic 3.2.1

=== DESCRIPTION ===
Name: symbolic
Version: 3.2.1
Date: 2024-05-15
Author: Colin B. Macdonald <cbm@m.fsf.org>
Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
Title: Octave Symbolic Package using SymPy
Description: Adds symbolic calculation features to GNU Octave.  These
 include common Computer Algebra System tools such as algebraic operations,
 calculus, equation solving, Fourier and Laplace transforms, variable
 precision arithmetic and other features.  Compatibility with other symbolic
 toolboxes is intended.
Categories: symbolic
Url: https://octave.sourceforge.io/symbolic
Depends: octave (>= 5.1)
SystemRequirements: python, sympy (>= 1.5.1), mpmath (>= 1.0)
License: GPL-3.0-or-later

=== Makefile ===
SHELL   := /bin/bash

## Copyright 2016-2019, 2022 Colin B. Macdonald
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

PACKAGE := $(shell grep "^Name: " DESCRIPTION | cut -f2 -d" ")
VERSION := $(shell grep "^Version: " DESCRIPTION | cut -f2 -d" ")
MATLAB_PACKAGE_NAME := octsympy

BUILD_DIR := tmp
MATLAB_PKG := ${BUILD_DIR}/${MATLAB_PACKAGE_NAME}-matlab-${VERSION}
MATLAB_PKG_ZIP := ${BUILD_DIR}/${MATLAB_PACKAGE_NAME}-matlab-${VERSION}.zip
OCTAVE_RELEASE := ${BUILD_DIR}/${PACKAGE}-${VERSION}
OCTAVE_RELEASE_TARBALL := ${BUILD_DIR}/${PACKAGE}-${VERSION}.tar.gz

INSTALLED_PACKAGE := ~/octave/${PACKAGE}-${VERSION}/packinfo/DESCRIPTION
HTML_DIR := ${BUILD_DIR}/${PACKAGE}-html
HTML_TARBALL := ${HTML_DIR}.tar.gz

OCTAVE ?= octave
MATLAB ?= matlab

.PHONY: help clean install test doctest dist dist_zip html matlab_test matlab_pkg

help:
	@echo Available rules:
	@echo "  clean              clean all temporary files"
	@echo "  install            install package in Octave"
	@echo "  test               run tests with Octave"
	@echo "  doctest            run doctests with Octave"
	@echo "  dist               create Octave package (${OCTAVE_RELEASE_TARBALL})"
	@echo "  html               create Octave Forge website (${HTML_TARBALL})"
	@echo "  release            create both tarballs and md5 sums"
	@echo
	@echo "  matlab_test        run tests with Matlab"
	@echo "  matlab_pkg         create Matlab package (${MATLAB_PKG_ZIP})"


GIT_DATE   := $(shell git show -s --format=\%ci)
# Follows the recommendations of https://reproducible-builds.org/docs/archives
define create_tarball
$(shell cd $(dir $(1)) \
    && find $(notdir $(1)) -print0 \
    | LC_ALL=C sort -z \
    | tar c --mtime="$(GIT_DATE)" \
            --owner=root --group=root --numeric-owner \
            --no-recursion --null -T - -f - \
    | gzip -9n > "$(2)")
endef

%.tar.gz: %
	$(call create_tarball,$<,$(notdir $@))

%.zip: %
	cd "$(BUILD_DIR)" ; zip -9qr - "$(notdir $<)" > "$(notdir $@)"

$(OCTAVE_RELEASE): .git/index | $(BUILD_DIR)
	@echo "Creating package version $(VERSION) release ..."
	-$(RM) -r "$@"
	git archive --format=tar --prefix="$@/" HEAD | tar -x
	$(RM) "$@/README.matlab.md" \
	      "$@/HOWTO-release.md" \
	      "$@/TODO.md" \
	      "$@/.gitignore" \
	      "$@/.mailmap" \
	      "$@/screenshot.png" \
	      "$@/screenshot-install.png"
	$(RM) -r "$@/.github"
	$(RM) -r "$@/testing" "$@/util"
	chmod -R a+rX,u+w,go-w "$@"

$(HTML_DIR): install | $(BUILD_DIR)
	@echo "Generating HTML documentation. This may take a while ..."
	-$(RM) -r "$@"
	$(OCTAVE) --no-window-system --silent \
	  --eval "pkg load generate_html; " \
	  --eval "pkg load $(PACKAGE);" \
	  --eval "options = get_html_options ('octave-forge');" \
	  --eval "generate_package_html ('${PACKAGE}', '${HTML_DIR}', options)"
	chmod -R a+rX,u+w,go-w $@

dist: $(OCTAVE_RELEASE_TARBALL)
html: $(HTML_TARBALL)
md5: $(OCTAVE_RELEASE_TARBALL) $(HTML_TARBALL)
	@md5sum $^

release: md5
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "*After review*, an Octave-Forge admin will tag this with:"
	@echo "    git tag -a v$(VERSION) -m \"Version $(VERSION)\""


${BUILD_DIR} ${MATLAB_PKG}/private ${MATLAB_PKG}/tests_matlab ${MATLAB_PKG}/@sym ${MATLAB_PKG}/@symfun ${MATLAB_PKG}/@logical ${MATLAB_PKG}/@double:
	mkdir -p "$@"

clean:
	rm -rf "${BUILD_DIR}"
	rm -f fntests.log

test:
	@echo "Testing package in GNU Octave ..."
	@$(OCTAVE) --no-gui --silent --path "${CURDIR}/inst" \
		--eval "set (0, 'defaultfigurevisible', 'off'); \
		 anyfail = octsympy_tests; \
		 sympref reset; \
		 exit (anyfail)"
	@echo

doctest:
	@# Workaround for OctSymPy issue 273, we must pre-initialize the package
	@# Otherwise, it will make the doctests fail
	@echo "Testing documentation strings ..."
	@$(OCTAVE) --no-gui --silent --path "${CURDIR}/inst" \
		--eval "pkg load doctest; \
		 sym ('x'); \
		 set (0, 'defaultfigurevisible', 'off'); \
		 success = doctest('inst/'); \
		 sympref reset; \
		 exit (!success)"
	@echo


## Install in Octave (locally)
install: ${INSTALLED_PACKAGE}
${INSTALLED_PACKAGE}: ${OCTAVE_RELEASE_TARBALL}
	$(OCTAVE) --silent --eval "pkg install $<"

## Matlab packaging
## TODO: should be written to properly use artfacts
matlab_pkg: $(MATLAB_PKG_ZIP)

${MATLAB_PKG}: $(BUILD_DIR) ${MATLAB_PKG}/private ml_extract_tests

## Matlab: extract unit tests from Octave files, place in separate files
ml_extract_tests: ${MATLAB_PKG}/tests_matlab ml_copy
	cp -pR misc/octassert.m ${MATLAB_PKG}/tests_matlab/
	cp -pR misc/extract_tests_for_matlab.m ${MATLAB_PKG}/
	cp -pR misc/octsympy_tests_matlab.m ${MATLAB_PKG}/
	cd ${MATLAB_PKG}/; ${OCTAVE} -q --eval "extract_tests_for_matlab"
	rm -f ${MATLAB_PKG}/extract_tests_for_matlab.m
	rm -f ${MATLAB_PKG}/tests_matlab/tests__sympref.m  # temp

## Matlab: copy files
ml_copy: ml_convert_comments
	cp -pR inst/private ${MATLAB_PKG}/
	cp -pR inst/@sym/private ${MATLAB_PKG}/@sym/
	cp -pR inst/@symfun/private ${MATLAB_PKG}/@symfun/
	cp -pR misc/my_print_usage.m ${MATLAB_PKG}/private/print_usage.m
	cp -pR misc/my_print_usage.m ${MATLAB_PKG}/@sym/private/print_usage.m
	cp -pR misc/my_print_usage.m ${MATLAB_PKG}/@symfun/private/print_usage.m
	cp -fp CONTRIBUTORS ${MATLAB_PKG}/
	cp -fp NEWS ${MATLAB_PKG}/
	cp -fp COPYING ${MATLAB_PKG}/
	cp -fp matlab_smt_differences.md ${MATLAB_PKG}/
	cp -fp README.md ${MATLAB_PKG}/
	cp -fp README.matlab.md ${MATLAB_PKG}/
	rm -f ${MATLAB_PKG}/octsympy_tests.m

## Matlab: extract and convert comments to Matlab style
ml_convert_comments: ${MATLAB_PKG}/@sym ${MATLAB_PKG}/@symfun ${MATLAB_PKG}/@double ${MATLAB_PKG}/@logical
	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '',         '../${MATLAB_PKG}/')"
	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@symfun',  '../${MATLAB_PKG}/')"
	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@sym',     '../${MATLAB_PKG}/')"
	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@double',  '../${MATLAB_PKG}/')"
	$(OCTAVE) --path ${CURDIR}/util --silent --eval "pwd, convert_comments('inst/', '@logical', '../${MATLAB_PKG}/')"

matlab_test:
	cd "${MATLAB_PKG}"; ${MATLAB} -nodesktop -nosplash -r "${MATLAB_STARTUP_CMD}; octsympy_tests_matlab"

=== debian/changelog ===
octave-symbolic (3.2.1-3) unstable; urgency=medium

  * d/u/metadata: Use the official project slug at GitHub
  * d/p/fix-intersect-unit-test.patch: New patch (Closes: #1084311)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 10 Nov 2024 17:00:00 -0300

octave-symbolic (3.2.1-2) unstable; urgency=medium

  * d/p/vpa-xtest.patch: New patch (Closes: #1073431)
  * d/control: Depend and build-depend on python3-packaging.
    This prevents FTBFS due to a failing unit test in @sym/bernoulli.m
    and is also related to Bug#1073431.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 20 Jun 2024 06:07:11 -0300

octave-symbolic (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sun, 19 May 2024 15:07:12 -0300

octave-symbolic (3.1.1-3) unstable; urgency=medium

  * d/copyright: Update Source URL
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * Drop python3-six from Build-Depends list.
    Thanks to Alexandre Detiste <alexandre.detiste@gmail.com>
    (Closes: #1070179)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 03 May 2024 10:39:00 -0300

=== debian/control ===
Source: octave-symbolic
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 12.8~),
               dh-sequence-octave,
               python3-packaging,
               python3-sympy
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
Homepage: https://gnu-octave.github.io/packages/symbolic/
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-symbolic
Architecture: all
Depends: ${misc:Depends},
         ${octave:Depends},
         python3-packaging,
         python3-sympy,
Description: symbolic package for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/symbolic/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/symbolic-(.+).tar.gz

## octave-symbolic 3.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: symbolic
-Version: 3.2.1
-Date: 2024-05-15
+Version: 3.2.2
+Date: 2025-09-11
 Author: Colin B. Macdonald <cbm@m.fsf.org>
 Maintainer: Colin B. Macdonald <cbm@m.fsf.org>
 Title: Octave Symbolic Package using SymPy
@@ -11,6 +11,6 @@
  toolboxes is intended.
 Categories: symbolic
 Url: https://octave.sourceforge.io/symbolic
-Depends: octave (>= 5.1)
+Depends: octave (>= 6.1)
 SystemRequirements: python, sympy (>= 1.5.1), mpmath (>= 1.0)
 License: GPL-3.0-or-later

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 SHELL   := /bin/bash
 
 ## Copyright 2016-2019, 2022 Colin B. Macdonald
+## Copyright 2024 Swayam Shah
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -23,6 +24,7 @@
 
 OCTAVE ?= octave
 MATLAB ?= matlab
+TAR ?= tar
 
 .PHONY: help clean install test doctest dist dist_zip html matlab_test matlab_pkg
 
@@ -46,7 +48,7 @@
 $(shell cd $(dir $(1)) \
     && find $(notdir $(1)) -print0 \
     | LC_ALL=C sort -z \
-    | tar c --mtime="$(GIT_DATE)" \
+    | $(TAR) c --mtime="$(GIT_DATE)" \
             --owner=root --group=root --numeric-owner \
             --no-recursion --null -T - -f - \
     | gzip -9n > "$(2)")
@@ -61,7 +63,7 @@
 $(OCTAVE_RELEASE): .git/index | $(BUILD_DIR)
 	@echo "Creating package version $(VERSION) release ..."
 	-$(RM) -r "$@"
-	git archive --format=tar --prefix="$@/" HEAD | tar -x
+	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
 	$(RM) "$@/README.matlab.md" \
 	      "$@/HOWTO-release.md" \
 	      "$@/TODO.md" \

=== debian/changelog ===
octave-symbolic (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2
  * d/copyright: Reflect upstream changes
  * d/p/fix-intersect-unit-test.patch: Drop patch (applied upstream)
  * d/p/vpa-xtest.patch: Refresh for new upstream version
  * d/control:
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump Standards-Version to 4.7.2 (no changes needed)
  * d/watch: Convert to version 5
  * d/s/lintian-overrides: Adjust override for Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Sep 2025 02:24:18 -0300

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
                dh-sequence-octave,
                python3-packaging,
                python3-sympy
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-symbolic
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-symbolic.git
 Homepage: https://gnu-octave.github.io/packages/symbolic/
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-symbolic
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/symbolic/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/symbolic-(.+).tar.gz
